Skip to content

Get Open Futures Positions​

GET
/v1/positions/open

Returns the open futures positions for an account, including pair, side (Buy/Sell), quantity, realised PnL, total session entry quantity, total session value, session average entry price, average entry price, unrealised PnL, and position ID. PnL runs are based on changes in mark price, and additional collateral may be locked for unrealised loss also based on changes in mark price.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Query Parameters

currencyPair

The name of the perpetual futures contract (e.g., BTCUSDTPERP)

Type
string
skip

Skip this number of results (default 0)

Type
integer
Format
"int32"
limit

Limit the results to this number (default and max 100)

Type
integer
Format
"int32"

Responses​

Open futures positions retrieved successfully

application/json
JSON
[
{
"pair": "DOGEUSDTPERP",
"side": "buy",
"quantity": "10",
"realisedPnl": "0.58111",
"totalSessionEntryQuantity": "10",
"totalSessionValue": "2.2823",
"sessionAverageEntryPrice": "0.22823",
"averageEntryPrice": "0.17",
"unrealisedPnl": "0.0283",
"updatedAt": "2025-07-24T08:00:00.021Z",
"createdAt": "2025-07-23T13:55:24.308Z",
"positionId": "a86fb764-cda4-0237-28a9-0361bc8a2334",
"leverageTier": 13
}
]

Playground​

Authorization
Variables
Key
Value

Samples​